
using Haestad.Framework.UI.Integration;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Input;
using System.Text;

namespace Haestad.WPFRibbonPrototype.WPF
{
    public class OpenModelessFormCommand : ICommand
    {
        public OpenModelessFormCommand()
        {
        }

        public bool CanExecute(object parameter)
        {
            // Just to keep the compiler happy; I don't care about CanExecuteChanged.
            if (CanExecuteChanged == null || CanExecuteChanged != null)
                return true;

            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            TestForm testForm = new TestForm();
            testForm.Show();
        }

    }
}
